MFClientBase.RiskLimit (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.api

## Class MFClientBase.RiskLimit

- java.lang.Object
- - com.marketfactory.api.MFClientBase.RiskLimit

- Enclosing class:
    MFClientBase

      public static class MFClientBase.RiskLimit
      extends java.lang.Object

  Admin interface: group limit, optionally for a specific feed and market. An admin may only send one limit bundle per group/feedID/marketID combination. Amounts should be positive and provided in the preconfigured currency (typically USD). Throttle is specified as N trades per preconfigured interval (typically per second). Notes about marketID and positionLimit (AKA marketLimit) convention: Individual marketIDs will typically only be used with marketLimit, but will work with other limits. If nopLimit is specified with a particular marketID, it is roughly equivalent to a marketLimit. If marketLimit is specified with MARKET_ALL, it's as if you sent that that limit for each individual market. (MFDecimal.NDA: No limit. If all fields are NDA, delete limit entry.) (MFDecimal.NA: Use a preexisting limit (or set to most restrictive value, zero).)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFDecimal` | `dsl`
    `int` | `feedID`
    `java.lang.String` | `group`
    `protected java.lang.String` | `id`
    `int` | `marketID`
    `MFDecimal` | `nop`
    `MFDecimal` | `orderQty`
    `MFDecimal` | `pending`
    `MFDecimal` | `position` This is a MarketLimit.
    `MFDecimal` | `throttle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RiskLimit(java.lang.String group)`
    `RiskLimit(java.lang.String group, int feedID, int marketID, MFDecimal nop, MFDecimal dsl, MFDecimal position, MFDecimal pending, MFDecimal orderQty, MFDecimal throttle)`
    `RiskLimit(java.lang.String group, int marketID, MFDecimal nop, MFDecimal dsl, MFDecimal position, MFDecimal pending, MFDecimal orderQty, MFDecimal throttle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MFClientBase.RiskLimit` | `setDsl(MFDecimal dsl)`
    `MFClientBase.RiskLimit` | `setFeedID(int feedID)`
    `MFClientBase.RiskLimit` | `setMarketID(int marketID)`
    `MFClientBase.RiskLimit` | `setNop(MFDecimal nop)`
    `MFClientBase.RiskLimit` | `setOrderQty(MFDecimal orderQty)`
    `MFClientBase.RiskLimit` | `setPending(MFDecimal pending)`
    `MFClientBase.RiskLimit` | `setPosition(MFDecimal position)` This is a MarketLimit.
    `MFClientBase.RiskLimit` | `setThrottle(MFDecimal throttle)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(boolean abridge)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected java.lang.String id

    - #### group

          public java.lang.String group

    - #### feedID

          public int feedID

    - #### marketID

          public int marketID

    - #### nop

          public MFDecimal nop

    - #### dsl

          public MFDecimal dsl

    - #### position

          public MFDecimal position

      This is a MarketLimit. Refer to class notes.

    - #### pending

          public MFDecimal pending

    - #### orderQty

          public MFDecimal orderQty

    - #### throttle

          public MFDecimal throttle

  - ### Constructor Detail

    - #### RiskLimit

          public RiskLimit(java.lang.String group)

    - #### RiskLimit

          public RiskLimit(java.lang.String group,
                           int marketID,
                           MFDecimal nop,
                           MFDecimal dsl,
                           MFDecimal position,
                           MFDecimal pending,
                           MFDecimal orderQty,
                           MFDecimal throttle)

    - #### RiskLimit

          public RiskLimit(java.lang.String group,
                           int feedID,
                           int marketID,
                           MFDecimal nop,
                           MFDecimal dsl,
                           MFDecimal position,
                           MFDecimal pending,
                           MFDecimal orderQty,
                           MFDecimal throttle)

  - ### Method Detail

    - #### setFeedID

          public MFClientBase.RiskLimit setFeedID(int feedID)

    - #### setMarketID

          public MFClientBase.RiskLimit setMarketID(int marketID)

    - #### setNop

          public MFClientBase.RiskLimit setNop(MFDecimal nop)

    - #### setDsl

          public MFClientBase.RiskLimit setDsl(MFDecimal dsl)

    - #### setPosition

          public MFClientBase.RiskLimit setPosition(MFDecimal position)

      This is a MarketLimit. Refer to class notes.
      Parameters:
        `position` - -- the new position
      Returns:
        this

    - #### setPending

          public MFClientBase.RiskLimit setPending(MFDecimal pending)

    - #### setOrderQty

          public MFClientBase.RiskLimit setOrderQty(MFDecimal orderQty)

    - #### setThrottle

          public MFClientBase.RiskLimit setThrottle(MFDecimal throttle)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString(boolean abridge)